<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_s"></a>- s -</h3><ul>
<li>SAMPLE_APP_CONFIG_KEY()
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#ace155877806216903b0fdf768e1d6818">alexaClientSDK::sampleApp</a>
</li>
<li>SAMPLE_APP_CONFIG_ROOT_KEY()
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#aa95feffe2e744291a34527ff71f90ea0">alexaClientSDK::sampleApp</a>
</li>
<li>sanitizeContentId()
: <a class="el" href="namespacealexa_client_s_d_k_1_1acl.html#ab42bd69668a8d0815c890a0cb0254339">alexaClientSDK::acl</a>
</li>
<li>selectCompatibleConfig()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a2cff98e068527c41bb7e7f3de9aa0098">alexaClientSDK::bluetoothImplementations::blueZ</a>
</li>
<li>SEND_EVENT_TIMEOUT_DURATION()
: <a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#afe5cdccb9303e756d8970a8a5ca0c889">alexaClientSDK::integration::test</a>
</li>
<li>SEPARATOR()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1uuid_generation.html#a7cf01fbb04b393956de3adac97e95db0">alexaClientSDK::avsCommon::utils::uuidGeneration</a>
</li>
<li>serializeJSONObjectToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#aeb052b363b2c54c58443c769898eb38e">alexaClientSDK::avsCommon::utils::json::jsonUtils</a>
</li>
<li>SESSION_RETRY_TIMER()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a10fd7ee5999ce8f2ca0e070ea154945f">alexaClientSDK::avsCommon::avs::externalMediaPlayer</a>
</li>
<li>setopt()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html#a489668649c011f1fde0039b6d0efa695">alexaClientSDK::avsCommon::utils::libcurlUtils</a>
</li>
<li>settingStatusToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#aefc5262bf0a9db3586251e5048152a41">alexaClientSDK::settings</a>
</li>
<li>SHORT_TIMEOUT_DURATION()
: <a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#a3a546c49f0e612c725874cfa679a3955">alexaClientSDK::integration::test</a>
</li>
<li>shouldInterrupt()
: <a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html#a920b6e411907b45ea7227571e5a80d63">alexaClientSDK::mediaPlayer::android</a>
</li>
<li>shouldRetryTransmission()
: <a class="el" href="namespacealexa_client_s_d_k_1_1certified_sender.html#a5e37c423c9562a86e6997be1ad12a80c">alexaClientSDK::certifiedSender</a>
</li>
<li>SHUFFLE_STATUS_STRING()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a9afa889d5d1f36d596f9f9d9aba3fad1">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a>
</li>
<li>SONG_TIMEOUT_DURATION()
: <a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html#ae4913f73f7629dfa3e16dc620509ef88">alexaClientSDK::integration::test</a>
</li>
<li>SPEAKER_TYPES()
: <a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html#abc85e4ef1d5db4be977fc202009aeef5">alexaClientSDK::sampleApp</a>
</li>
<li>STATE_CHANGE_TIMEOUT()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test.html#a9e1a0ab24e955016598f3a326b727191">alexaClientSDK::capabilityAgents::speechSynthesizer::test</a>
</li>
<li>stateToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#abcfbede89d636312f4d28c9d3ac1545d">alexaClientSDK::bluetoothImplementations::blueZ</a>
, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">alexaClientSDK::capabilityAgents::notifications</a>
</li>
<li>storeAlertAssetPlayOrderItems()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage.html#a04beaca16721ac2b4de081eb0527cbda">alexaClientSDK::capabilityAgents::alerts::storage</a>
</li>
<li>storeAlertAssets()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage.html#ae5cd446beb12cf52b7b51c9ef0c72fb8">alexaClientSDK::capabilityAgents::alerts::storage</a>
</li>
<li>streamAndDataAreEqual()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1test.html#a424977521f6b97f1753ee087357fbeb1">alexaClientSDK::avsCommon::utils::test</a>
</li>
<li>streamFormatToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#a16232f6c709581720898ad7ad1fae21e">alexaClientSDK::capabilityAgents::audioPlayer</a>
</li>
<li>streamFromData()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1stream.html#a1bd0f1cf838fd5865bb67dbb83d94d5c">alexaClientSDK::avsCommon::utils::stream</a>
</li>
<li>streamingStateToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a1b72d13be897d5dee57626bb643ba42f">alexaClientSDK::capabilityAgents::bluetooth</a>
</li>
<li>stringToClearBehavior()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#ae8f288c36bac3c7e6121d9a34244ddde">alexaClientSDK::capabilityAgents::audioPlayer</a>
</li>
<li>stringToEqualizerBand()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a7016a96eaf1181d96474af6619a2fb97">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
</li>
<li>stringToEqualizerMode()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a2b96af0e439453f778cf20fd365f0b2e">alexaClientSDK::avsCommon::sdkInterfaces::audio</a>
</li>
<li>stringToInt()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a5b0a38568aab26aa9371470c4493f234">alexaClientSDK::avsCommon::utils::string</a>
</li>
<li>stringToInt64()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a6f7407a74bb9f68ed89e46444ba78ae7">alexaClientSDK::avsCommon::utils::string</a>
</li>
<li>stringToLowerCase()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#a01a26b31f8413cc8b4cf637f81014b17">alexaClientSDK::avsCommon::utils::string</a>
</li>
<li>stringToPlayBehavior()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#ae7abd046ee00ef9c2f8ccab273748edf">alexaClientSDK::capabilityAgents::audioPlayer</a>
</li>
<li>stringToSettingStatus()
: <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a10930afc6c15d6a2ad5ade0f51ed4dd8">alexaClientSDK::settings</a>
</li>
<li>stringToStreamFormat()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#adc9cbd7a93a36f3db5500ae81e8a72d9">alexaClientSDK::capabilityAgents::audioPlayer</a>
</li>
<li>stringToUpperCase()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1string.html#abcaf902f39fde3eb0e0f8ef0706a5e4d">alexaClientSDK::avsCommon::utils::string</a>
</li>
<li>SupportedPlaybackOperationToString()
: <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1external_media_player.html#a9ce41adc4cd7d79bf72ce8caeed1039c">alexaClientSDK::avsCommon::sdkInterfaces::externalMediaPlayer</a>
</li>
<li>supportsAvsProfile()
: <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#a2134149bcf9c33c9e88751aa5a3ccf82">alexaClientSDK::capabilityAgents::bluetooth</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
